Issue 8094

Title
Tryton client 5.0 cannot minimize maximized screen to dock
Priority
bug
Status
closed
Nosy list
ced, inrowga, udono
Assigned to
ced
Keywords
macOS

Created on 2019-02-07.16:58:15 by inrowga, last changed 3 weeks ago by ced.

Messages

Author: [hidden] (ced) Tryton committer Tryton translator
Date: 2021-03-27.09:21:28

The merge request has been merged. It will be available for the next release of GTK.

Author: [hidden] (ced) Tryton committer Tryton translator
Date: 2021-03-10.23:28:50

Not for me.

Author: [hidden] (udono) Tryton translator
Date: 2021-03-10.23:19:32

The same problem exists on windows, too.

Author: [hidden] (ced) Tryton committer Tryton translator
Date: 2021-03-10.21:43:04
On 2021-03-10 21:29, Udo Spallek wrote:
> > I created https://gitlab.gnome.org/GNOME/gtk/-/merge_requests/3281 which should fix the problem for gtk-3.24.
> > The logic has be reworked for gtk-4 and as far as I can see there will not be such issue.
> 
> does the patch also works for windows?

As far as I can see there is no problem on windows.
Author: [hidden] (udono) Tryton translator
Date: 2021-03-10.21:29:58

I created https://gitlab.gnome.org/GNOME/gtk/-/merge_requests/3281 which should fix the problem for gtk-3.24.
The logic has be reworked for gtk-4 and as far as I can see there will not be such issue.

does the patch also works for windows?

Author: [hidden] (ced) Tryton committer Tryton translator
Date: 2021-03-10.16:29:18

I created https://gitlab.gnome.org/GNOME/gtk/-/merge_requests/3281 which should fix the problem for gtk-3.24.
The logic has be reworked for gtk-4 and as far as I can see there will not be such issue.

Author: [hidden] (udono) Tryton translator
Date: 2020-05-18.17:13:52
I put a statement on the gtk issue.
https://gitlab.gnome.org/GNOME/gtk/-/issues/2345
Author: [hidden] (ced) Tryton committer Tryton translator
Date: 2019-04-13.23:22:56
We upgraded to use GtkApplicationWindow but it seems the minimize is not implemented yet by GTK+-3.
Author: [hidden] (inrowga)
Date: 2019-02-07.16:58:14
Hi,

we migrated a business from Tryton 4.8 to Tryton 5.0, but later they reported that Tryton client cannot minimize to dock, they have os x Sierra, os x High Sierra and os x Mojave with same error.

Tryton 4.8 worked without problem minimizing screen maximized to dock but now version 5.0 not working.

we tested Tryton version 5.0 on windows 7 and 10 and works perfectly

is a bug or what?

versions tested on OS X: 5.0.0-r1 to 5.0.5 and not work

thanks
History
Date User Action Args
2021-03-27 09:21:28cedsetassignedto: ced
messages: + msg65851
status: deferred -> closed
2021-03-10 23:28:50cedsetmessages: + msg65342
2021-03-10 23:19:32udonosetmessages: + msg65341
2021-03-10 21:43:04cedsetmessages: + msg65336
2021-03-10 21:29:58udonosetmessages: + msg65335
2021-03-10 16:29:18cedsetmessages: + msg65331
2020-05-18 17:13:53udonosetnosy: + udono
messages: + msg58112
2019-04-13 23:22:56cedsetstatus: unread -> deferred
nosy: + ced
messages: + msg48993
2019-02-07 17:11:24cedsetkeyword: + macOS
2019-02-07 17:03:54inrowgasetcomponent: + tryton

Showing 10 items. Show all history (warning: this could be VERY long)